#
# spec file for package perl-CommonMark
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-CommonMark
Version:        0.290000
Release:        4.28
%define cpan_name CommonMark
Summary:        Interface to the CommonMark C library
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/N/NW/NWELLNHOF/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Devel::CheckLib)
BuildRequires:  cmark-devel >= 0.28.3
Requires:       cmark >= 0.28.3
%{perl_requires}

%description
This module is a wrapper around the official CommonMark C library
_libcmark_. It closely follows the original API.

The main module provides some entry points to parse documents and
convenience functions for node creation. The bulk of features is available
through CommonMark::Node objects of which the parse tree is made.
CommonMark::Iterator is a useful class to walk through the nodes in a tree.
CommonMark::Parser provides a push parser interface.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes
%license LICENSE

%changelog
* Thu Jul 25 2019 sriedel@suse.de
- initial version (0.290000)
